Login with password
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/login/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"password": "<string>",
"country_code": "+91"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/login/password"
payload = {
"phone": "<string>",
"password": "<string>",
"country_code": "+91"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone: '<string>', password: '<string>', country_code: '+91'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/login/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [
"email"
],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "India",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
},
"access_token": "<string>",
"refresh_token": "<string>"
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Auth
Login with password
Authenticates a user with email/phone and password. Returns a User object with access_token and refresh_token.
POST
/
auth
/
login
/
password
Login with password
Authorizations
Access token
Body
application/json
- phone
- email
User's phone number.
The password associated with the user's account.
Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided. Use this key along with phone. Not necessary for email.
Response
OK
A descriptive message confirming the success or failure of the Login process.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?
⌘I